from flask_wtf import FlaskForm
from wtforms import StringField, BooleanField, SubmitField
from wtforms.validators import DataRequired, Optional
from flask_wtf.file import FileField  # Cuz' wtforms' FileField is shitty


class CreateTrophyForm(FlaskForm):
    name = StringField('Nom', validators=[DataRequired()])
    icon = FileField('Icone')
    is_title = BooleanField('Le trophée est aussi un titre')
    title = StringField('Titre', description='Titre affiché dans le cas échéant', validators=[Optional()])
    submit = SubmitField('Créer le trophée')
